# Crow: crow::CookieParser::Cookie Struct Reference

Loading...
Searching...
No Matches
crow::CookieParser::Cookie Struct Reference

## Public Types

enum class | SameSitePolicy { Strict , Lax , None }

## Public Member Functions

template<typename U >
| Cookie (const std::string &key, U &&value)
| Cookie (const std::string &key)
std::string | dump () const
const std::string & | name ()
template<typename U >
Cookie & | value (U &&value)
Cookie & | expires (const std::tm &time)
Cookie & | max_age (long long seconds)
Cookie & | domain (const std::string &name)
Cookie & | path (const std::string &path)
Cookie & | secure ()
Cookie & | httponly ()
Cookie & | same_site (SameSitePolicy ssp)
| Cookie (const Cookie &c)

The documentation for this struct was generated from the following file:

- include/crow/middlewares/cookie_parser.h